opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::WImage< T > Class Template Referenceabstract

`#include <wimage.hpp>`

Inheritance diagram for cv::WImage< T >:

## Public Types
typedef T | BaseType

## Public Member Functions
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const
virtual | ~WImage ()=0

## Protected Member Functions
void | operator= (const WImage &)
void | SetIpl (IplImage *image)
| WImage (const WImage &)
| WImage (IplImage *img)

## Protected Attributes
IplImage * | image_

## Member Typedef Documentation

template<typename T>

typedef T cv::WImage< T >::BaseType

## Constructor & Destructor Documentation

template<typename T >

WImage< T >::~WImage | ( |  | ) |
| inline pure virtual

template<typename T>

cv::WImage< T >::WImage | ( | const WImage< T > & |  | ) |
| protected

template<typename T>

cv::WImage< T >::WImage | ( | IplImage * | img | ) |
| inline explicit protected

## Member Function Documentation

template<typename T>

int cv::WImage< T >::Channels | ( |  | ) | const
| inline

template<typename T>

int cv::WImage< T >::ChannelSize | ( |  | ) | const
| inline

template<typename T>

void cv::WImage< T >::CopyFrom | ( | const WImage< T > & | src | ) |
| inline

template<typename T>

int cv::WImage< T >::Depth | ( |  | ) | const

template<typename T>

int cv::WImage< T >::Height | ( |  | ) | const
| inline

template<typename T>

T* cv::WImage< T >::ImageData | ( |  | ) |
| inline

template<typename T>

const T* cv::WImage< T >::ImageData | ( |  | ) | const
| inline

template<typename T>

IplImage* cv::WImage< T >::Ipl | ( |  | ) |
| inline

template<typename T>

const IplImage* cv::WImage< T >::Ipl | ( |  | ) | const
| inline

template<typename T>

T* cv::WImage< T >::operator() | ( | int | c,
|  | int | r
| ) |  |
| inline

template<typename T>

const T* cv::WImage< T >::operator() | ( | int | c,
|  | int | r
| ) |  | const
| inline

template<typename T>

void cv::WImage< T >::operator= | ( | const WImage< T > & |  | ) |
| protected

template<typename T>

int cv::WImage< T >::PixelSize | ( |  | ) | const
| inline

template<typename T>

const T* cv::WImage< T >::Row | ( | int | r | ) | const
| inline

template<typename T>

T* cv::WImage< T >::Row | ( | int | r | ) |
| inline

template<typename T>

void cv::WImage< T >::SetIpl | ( | IplImage * | image | ) |
| inline protected

template<typename T>

void cv::WImage< T >::SetZero | ( |  | ) |
| inline

template<typename T >

WImageView< T > WImage< T >::View | ( | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

template<typename T>

int cv::WImage< T >::Width | ( |  | ) | const
| inline

template<typename T>

int cv::WImage< T >::WidthStep | ( |  | ) | const
| inline

## Member Data Documentation

template<typename T>

IplImage* cv::WImage< T >::image_
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp